<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty string_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     string_format<br>
 * Purpose:  format strings via sprintf
 * @link http://smarty.php.net/manual/en/language.modifier.string.format.php
 *          string_format (Smarty online manual)
 * @author
 * @param string
 * @param string
 * @param integar
 * @return string
 */
function smarty_modifier_strexp2array($string, $separator, $start=0)
{
    $valarray = explode($separator, $string);
	if($start != 0)
	{
		for($i=0; $i<$start; $i++)
			unset($valarray[$i]);
	}
	return $valarray;
}

/* vim: set expandtab: */

?>