<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty string_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     string_format<br>
 * Purpose:  format strings via sprintf
 * @link http://smarty.php.net/manual/en/language.modifier.string.format.php
 *          string_format (Smarty online manual)
 * @author
 * @param string
 * @param string
 * @param int start from: 0
 * @return string
 */
function smarty_modifier_strexplode($string, $separator, $index)
{
    $valarray = explode($separator, $string);
	return $valarray[$index];
}

/* vim: set expandtab: */

?>