<?php

define('BASE_PATH', dirname(__FILE__));
set_include_path(
            get_include_path() . PATH_SEPARATOR
            . BASE_PATH . DIRECTORY_SEPARATOR . 'Library'. PATH_SEPARATOR 
            . BASE_PATH . DIRECTORY_SEPARATOR . 'Module' 
            );
            
function __autoload($class_name) 
{
	$paths = explode(PATH_SEPARATOR, get_include_path());
	foreach( $paths as $path )
	{
		$file = $path.'/'.$class_name.'.php';
		if( is_file( $file ) )
		{
			require_once $file;
			break;
		}
	}
}

