<?php

class ParseTool
{
	function __construct()
	{
	}

	static $_instance = null;
	static function getInstance()
	{
		if( self::$_instance === null )
		{
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	function getFile( $file )
	{
		if( is_file( $file ) )
		{
			$this->_file = $file;
			return true;
		}
		return false;
	}
	
	function bTagEdge( $tmp )
	{
		$arr = array('"', "'");
		foreach( $arr as $one )
		{
			$num = substr_count( $tmp, '"' );
			if( $num % 2 !== 0 )
			{
				return false;
			}
		}
		return true;
	}
	
	function findEdge( $edge )
	{
		$i = 0;
		$offset = 0;
		do
		{
			$idx = strpos( $this->_str, $edge, $offset );
			if( $idx === false )
			{
				$this->_rets[] = array('type'=>'text', 'value'=>$this->_str);
				$this->_str = '';
				return false;
			}
			
			$tmp = substr( $this->_str, 0, $idx );
			if( $this->bTagEdge( $tmp ) )
			{
				break;
			}
		}
		while($i++ < 10000);
		return $idx;
	}
	
	function parse()
	{
		if( ! $this->_file )
		{
			return false;
		}
		
		$this->_str = file_get_contents( $this->_file );
		//$this->_str = "<html><body><li>litext</li></body></html>";
		$i = 0;
		$pre = 0;
		$this->_rets = array();
		do
		{
			$idx = $this->findEdge( '<' );
			if( $idx === false )
			{
				break;
			}
			
			if( $idx != 0 )
			{
				$this->_rets[] = array('type'=>'text', 'value'=>substr( $this->_str, 0, $idx ) );
				$this->_str = substr( $this->_str, $idx);
			}
			
			$idx = $this->findEdge( '>' );
			if( $idx === false )
			{
				break;
			}			
			
			$idx = strpos( $this->_str, '>', $pre );
			if( $idx !== false )
			{
				$this->_rets[] = array('type'=>'tag', 'value'=>substr( $this->_str, 0, $idx+1 ) );
				$this->_str = substr( $this->_str, $idx+1 );
			}
			
			if( $i++ > 10000)
			{
				throw new Exception("too large length of file.");
				break;
			}
		}
		while( $this->_str );
		print_r( array_slice($this->_rets, 0, 20) );
	}
}

if( isset($argv) && isset($argv[0]) && basename($argv[0]) == basename( __FILE__ ) )
{
	$obj = ParseTool::getInstance();
	/*
	$str = 'tag="a<b b>c" href="it"';
	$str = 'tag="a<b b>';
	var_dump( $obj->bTagEdge( $str ) );exit;
	//*/
	
	if( $obj->getFile( 'D:\wamp\apps\hiker\img\000134.htm' ) )
	{
		$obj->parse();
	}
}
