<?php

class ParseTool
{
	function __construct()
	{
	}

	static $_instance = null;
	static function getInstance()
	{
		if( self::$_instance === null )
		{
			self::$_instance = new self();
		}
		return self::$_instance;
	}
	
	function get( $name )
	{
		$dir = 'D:/wamp/apps/hiker/Library/';
		$str = file_get_contents( $dir.$name );
		return json_decode( $str, true );
	}
	function set( $name, $obj )
	{
		$dir = 'D:/wamp/apps/hiker/Library/';
		file_put_contents( $dir.$name, json_encode( $obj ) );
	}

	function getFile( $file )
	{
		if( is_file( $file ) )
		{
			$this->_file = $file;
			return true;
		}
		return false;
	}
	
	function bTagEdge( $tmp )
	{
		$arr = array('"', "'");
		foreach( $arr as $one )
		{
			$num = substr_count( $tmp, '"' );
			if( $num % 2 !== 0 )
			{
				return false;
			}
		}
		return true;
	}
	
	function findEdge( $edge )
	{
		$i = 0;
		$offset = 0;
		do
		{
			$idx = strpos( $this->_str, $edge, $offset );
			if( $idx === false )
			{
				$this->_rets[] = array('type'=>'text', 'value'=>$this->_str);
				$this->_str = '';
				return false;
			}
			
			$tmp = substr( $this->_str, 0, $idx );
			if( $this->bTagEdge( $tmp ) )
			{
				break;
			}
		}
		while($i++ < 10000);
		return $idx;
	}
	
	function parseFile()
	{
		/*
		if( ! $this->_file )
		{
			return false;
		}
		
		$this->_str = file_get_contents( $this->_file );
		//*/
		$this->_str = $this->get( 'it.txt' );
		//$this->_str = "<html><body><li>litext</li></body></html>";
		$i = 0;
		$pre = 0;
		$this->_rets = array();
		do
		{
			$idx = $this->findEdge( '<' );
			if( $idx === false )
			{
				break;
			}
			
			if( $idx != 0 )
			{
				$this->_rets[] = array('type'=>'text', 'value'=>substr( $this->_str, 0, $idx ) );
				$this->_str = substr( $this->_str, $idx);
			}
			
			$idx = $this->findEdge( '>' );
			if( $idx === false )
			{
				break;
			}			
			
			$idx = strpos( $this->_str, '>', $pre );
			if( $idx !== false )
			{
				$this->_rets[] = array('type'=>'tag', 'value'=>substr( $this->_str, 0, $idx+1 ) );
				$this->_str = substr( $this->_str, $idx+1 );
			}
			
			if( $i++ > 10000)
			{
				throw new Exception("too large length of file.");
				break;
			}
		}
		while( $this->_str );
		print_r( array_slice($this->_rets, 0, 20) );
	}
	
	function createLayer( $result )
	{
		$tmp = array();
		$taglist = array('a','p','b','span','div','script');
		shuffle( $taglist );
		$count = count( $result );
		for( $i=0; $i<$count; $i++ )
		{
			$atag = $result[$i];
			$tmp[] = $atag;
			if( $taglist && rand(0, 3) % 2 == 0 )
			{
				$j = 1;
				$time = ''.microtime(1);
				$tag = array_pop( $taglist );
				$tmp[] = array('_type'=>'tag', '_value'=>"<{$tag}>", $time.(++$j));
				$tmp[] = array('_type'=>'text', '_value'=>$tag.$time.(++$j).$tag, $time.(++$j));
				$tmp[] = array('_type'=>'tag', '_value'=>"</{$tag}>", $time.(++$j));
			}
		}
		
		return $tmp;
	}
	
	function create()
	{
		$result = array(
			array('_type'=>'tag', '_value'=>'<html>', ''.microtime(1)),
			array('_type'=>'tag', '_value'=>'</html>', ''.microtime(1)),
		);
		$len = 10;
		for( $i=0; $i<$len; $i++ )
		{
			$result = $this->createLayer( $result );
		}
		//$this->display( $result );
		$this->set( 'it.txt', $result );
	}
	
	function display( $result, $index=0 )
	{
	//var_dump($index);exit;
		$pre = '';
		$dire = -1;
		$step  = '   ';
		$len = count( $result );
		for( $key=$index,$i=0; $key<$len; $key++,$i++ )
		{
			$one = $result[$key]['_value'];
			if( $result[$key]['_type'] == 'tag' )
			{
				$dire = 0;
				$pre .= $step;
			}
			elseif( $one{1} == '/' )
			{
				$dire = ( $dire <= 0 ) ? -2 : -1;
				if( $dire <= -2 )
				{
					$pre = substr( $pre, 2+count($step) );
					$dire = -1;
				}
			}
			else
			{
				$dire = ( $dire >= 1 ) ? 2 : 1;
				if( $dire >= 2)
				{
					$pre .= $step;
					$dire = 1;
				}
			}
			echo "{$key}\t1{$pre}{$one}\n";
			if( $pre == '' && $i != 0 ) break;
		}
	}
	
	function find( $tag )
	{
	}
	
	function toDire( &$result )
	{
		foreach( $result as &$one )
		{
			$one['_dire'] = 0;
			if( $one['_type'] == 'text' ) continue;
			$one['_dire'] = ( $one['_value']{1} == '/' ) ? -1 : 1;
		}
	}
	
	function deal()
	{
		$result = $this->get( 'it.txt' );
		$this->toDire( $result );
		//print_r( $result );
		$len = count( $result );
		for( $i=100 ; $i<$len; $i++ )
		{
			if( $result[$i]['_type'] == 'tag' 
				&& $result[$i]['_value']{1} != '/' )
			{
				var_dump( $result[$i] );
				$this->display( $result, $i );
				break;
			}
		}
	}
}


$obj = ParseTool::getInstance();
/*
$obj->create();
echo "\nend\n";
//exit;
//*/
/*
$str = 'tag="a<b b>c" href="it"';
$str = 'tag="a<b b>';
var_dump( $obj->bTagEdge( $str ) );exit;
//*/
//$obj->parse();
$obj->deal();
