<?php

class Group extends Module
{
    function __construct()
    {
		Logs::init( 'log' );
    }
    
    function display()
    {
        $obj = DB::getInstance();
		$sql = "select * from t_group";
		$results = array();
        $ret = $obj->select( $sql, $results );
		$ret['num'] = count( $results );
		if( $ret['ret'] && $results )
		{
			$ret['info'] = "查询成功.";
		}
		else
		{
			$ret['ret'] = false;
			$ret['info'] = "查询失败.";
		}
		
		$ret['data'] = $results;
        parent::smartyOut( 'group', $ret );
    }
	
	function setActive()
	{		
		$value = isset($_POST['value']) ? $_POST['value'] : '';
		DB::filter( $value );
		if( $value == 1 )
		{
			$sql = "update t_group set active=0 where active=1";
			$db = DB::getInstance();
			$ret = $db->update( $sql );
		}
		
		$this->setField();
	}
	function setField()
	{
		$gid = isset($_POST['gid']) ? $_POST['gid'] : '';
		DB::filter( $gid );
		$field = isset($_POST['field']) ? $_POST['field'] : '';
		DB::filter( $field );
		$value = isset($_POST['value']) ? $_POST['value'] : '';
		DB::filter( $value );
		$alt = isset($_POST['alt']) ? $_POST['alt'] : '';
		DB::filter( $alt );
		
		$sql = "update t_group set {$field}='{$value}' where id={$gid}";
		$db = DB::getInstance();
		$ret = $db->update( $sql );
		if( $ret['ret'] )
		{
			$ret['info'] = '更新'.$alt.'成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("update failed.", $sql, print_r( $ret,true )) );
		$ret['info'] = '更新'.$alt.'失败.';
		echo json_encode( $ret );
		return;
	}
	function setName()
	{
		$gid = isset($_POST['gid']) ? $_POST['gid'] : '';
		DB::filter( $gid );
		$name = isset($_POST['name']) ? $_POST['name'] : '';
		DB::filter( $name );
		
		$sql = "update t_group set name='{$name}' where id={$gid}";
		$db = DB::getInstance();
		$ret = $db->update( $sql );
		if( $ret['ret'] && $ret['nupdate'] )
		{
			$ret['info'] = '更新名称成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("update failed.", $sql, print_r( $ret,true )) );
		$ret['info'] = '更新名称失败.';
		echo json_encode( $ret );
		return;
	}
	function addName()
	{
		$name = isset($_POST['name']) ? $_POST['name'] : '';
		DB::filter( $name );
		
		$sql = "insert into t_group (name) values('{$name}')";
		$db = DB::getInstance();
		$ret = $db->insert( $sql );
		if( $ret['ret'] && $ret['nupdate'] )
		{
			$ret['info'] = '添加名称成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("update failed.", $sql, print_r( $ret,true )) );
		$ret['info'] = '添加名称失败.';
		echo json_encode( $ret );
		return;
	}
	
	function delName()
	{
		$id = isset($_POST['id']) ? $_POST['id'] : '';
		DB::filter( $id );
		
		$sql = "delete from t_group where id={$id}";
		$db = DB::getInstance();
		$ret = $db->delete( $sql );
		if( $ret['ret'] && $ret['nupdate'] )
		{
			$ret['info'] = '删除名称成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("delete failed.", $sql, print_r( $ret,true )) );
		$ret['info'] = '删除名称失败.';
		echo json_encode( $ret );
		return;
	}
    
    function tools()
    {
        $obj = Preload::getInstance();
        $modules = $obj->getTools();        
        echo json_encode( $modules );
    }
}