<?php

class Score extends Module
{
    function __construct()
    {
		Logs::init( 'log' );
    }
    
    function display()
    {
		$gid = isset($_GET['gid']) ? $_GET['gid'] : '';
		DB::filter( $gid );
		
		$sql = "select * from t_score where gid='{$gid}'";
		$db = DB::getInstance();
		$results = array();
		$ret = $db->select( $sql, $results );
		if( $ret['ret'] && $results )
		{
			foreach( $results as &$one )
			{
				$sql = "select * from t_right where id='{$one['cid']}'";
				$db = DB::getInstance();
				$rets = array();
				$ret3 = $db->select( $sql, $rets );
				if( $ret3['ret'] && $rets )
				{
					$one['name'] = $rets[0]['name'];
				}
			}
			$ret['data'] = $results;
		}
		else
		{
			$ret['ret'] = false;
			$ret['info'] = "找不到对应的分数.";
		}
		
		$sql = "select * from t_group where id='{$gid}'";
		$db = DB::getInstance();
		$results = array();
		$ret2 = $db->select( $sql, $results );
		if( $ret2['ret'] && $results )
		{
			$ret['gdata'] = $results[0];
		}
		else
		{
			$ret['info'] .= "找不到该队伍.";
		}
		

		$sql = "select * from t_score where gid='{$gid}' order by time desc limit 1";
		$db = DB::getInstance();
		$results = array();
		$ret3 = $db->select( $sql, $results );
		if( $ret3['ret'] && $results )
		{
			$ret['time'] = $results[0]['time'];
		}
		$ret['stime'] = 's'.$ret['time'];
        parent::smartyOut( 'group_score', $ret );
    }
	
	function getUpdateTime()
    {
		$gid = isset($_POST['gid']) ? $_POST['gid'] : '';
		DB::filter( $gid );
		
		$sql = "select * from t_score where gid='{$gid}' order by time desc limit 1";
		$db = DB::getInstance();
		$results = array();
		$ret = $db->select( $sql, $results );
		if( $ret['ret'] && $results )
		{
			$ret['time'] = 's'.$results[0]['time'];
		}
		else
		{
			$ret['ret'] = false;
			$ret['info'] = "还没有该队伍的打分记录.";
			echo json_encode( $ret );
			return;
		}
		
		$ret['info'] = '获取最大更新时间成功.';
		echo json_encode( $ret );
		return;
	}
    
    function setScore()
    {
		$results = array();
		$gid = isset($_POST['gid']) ? $_POST['gid'] : '';
		DB::filter( $gid );
		$cid = isset($_POST['cid']) ? $_POST['cid'] : '';
		DB::filter( $cid );
		$yishu = isset($_POST['yishu']) ? $_POST['yishu'] : '';
		DB::filter( $yishu );
		$jishu = isset($_POST['jishu']) ? $_POST['jishu'] : '';
		DB::filter( $jishu );
		$total = isset($_POST['total']) ? $_POST['total'] : '';
		DB::filter( $total );
		
		$clientip = $_SERVER['REMOTE_ADDR'];
		$sql = "select * from t_right where clientip='{$clientip}'";
		$db = DB::getInstance();
		$results = array();
		$ret = $db->select( $sql, $results );
		if( $ret['ret'] && $results )
		{
			$cid = $results[0]['id'];
		}
		
        $obj = DB::getInstance();
		$sql = "select * from t_group where active=1";
		$results = array();
        $ret = $obj->select( $sql, $results );
		if( $ret['ret'] && $results && $results[0] && $results[0]['id'] == $gid)
		{
			// normal and go through
		}
		else
		{
			$ret['ret'] = 0;
			$ret['info'] = "对不起, 管理员已经关闭对该队伍的评分, 不能更新分数.";
			echo json_encode( $ret );
			return;
		}
		
		
		$sql = "select * from t_score where gid='{$gid}' and cid='{$cid}'";
		$db = DB::getInstance();
		$results = array();
		$ret = $db->select( $sql, $results );
		if( $ret['ret'] && $results )
		{
			$sql = "update t_score set yishu='{$yishu}',jishu='{$jishu}',total='{$total}' "
				."where gid={$gid} and cid={$cid}";
			$ret = $db->update( $sql );
			if( $ret['ret'] )
			{
				$ret['info'] = '更新分数成功.';
				echo json_encode( $ret );
				return;
			}
			
			Logs::info( array("insert failed.", $sql, print_r( $ret,true )) );
			$ret['info'] = '打分失败.';
			echo json_encode( $ret );
			return;
		}
		
		$sql = "insert into t_score (gid,cid,yishu,jishu,total) "
			."values('{$gid}','{$cid}','{$yishu}','{$jishu}','{$total}')";
		$ret = $db->insert( $sql );
		if( $ret['ret'] && $ret['nupdate'] )
		{
			$ret['info'] = '打分成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("insert failed.", $sql, print_r( $ret,true )) );
		echo json_encode( $ret );
    }

	function setField()
	{
		$gid = isset($_POST['gid']) ? $_POST['gid'] : '';
		DB::filter( $gid );
		$cid = isset($_POST['cid']) ? $_POST['cid'] : '';
		DB::filter( $cid );
		$field = isset($_POST['field']) ? $_POST['field'] : '';
		DB::filter( $field );
		$value = isset($_POST['value']) ? $_POST['value'] : '';
		DB::filter( $value );
		$alt = isset($_POST['alt']) ? $_POST['alt'] : '';
		DB::filter( $alt );
		
		$sql = "update t_score set {$field}='{$value}' where gid={$gid} and cid={$cid}";
		$db = DB::getInstance();
		$ret = $db->update( $sql );
		if( $ret['ret'] )
		{
			$sql = "update t_score set total=jishu+yishu where gid={$gid} and cid={$cid}";
			$db = DB::getInstance();
			$ret2 = $db->update( $sql );
		
			$ret['info'] = '更新'.$alt.'成功.';
			if( $ret2['ret'] ) $ret['info'] .= '更新总分成功.';
			echo json_encode( $ret );
			return;
		}
		
		Logs::info( array("update failed.", $sql, print_r( $ret,true )) );
		$ret['info'] = '更新'.$alt.'失败.';
		echo json_encode( $ret );
		return;
	}
}